-
    headers: 'User-Agent: Freetime/1.0 (freetime); (Panasonic, 2014, idtv, medium, wired); (PRO4, 16306); Mozilla/5.0 (FreeBSD; U; Viera; xx) AppleWebKit/537.11 (KHTML, like Gecko) Viera/3.7.0 Chrome/23.0.1271.97 Safari/537.11'
    result: { browser: { name: 'Viera Browser', family: { name: Chrome, version: 23 }, version: 3.7.0, type: browser }, engine: { name: Webkit, version: '537.11' }, device: { type: television, manufacturer: Panasonic, series: 'Viera 2014' } }
    readable: 'Viera Browser 3.7.0 on a Panasonic Viera 2014'
-
    headers: 'User-Agent: HbbTV/1.1.1 (;Panasonic;VIERA 2011;f.533;0071-0802 2000-0000;)'
    result: { device: { type: television, manufacturer: Panasonic, series: 'Viera 2011' } }
    readable: 'a Panasonic Viera 2011'
-
    headers: 'User-Agent: HbbTV/1.1.1 (;Panasonic;VIERA 2012;1.261;0071-3103 0400-0000;)'
    result: { device: { type: television, manufacturer: Panasonic, series: 'Viera 2012' } }
    readable: 'a Panasonic Viera 2012'
-
    headers: 'User-Agent: HbbTV/1.1.1 (;Panasonic;VIERA 2012;1.266;0071-3103 2000-0000;)'
    result: { device: { type: television, manufacturer: Panasonic, series: 'Viera 2012' } }
    readable: 'a Panasonic Viera 2012'
-
    headers: 'User-Agent: HbbTV/1.2.1 (;Panasonic;VIERA 2013;3.720;4101-0003 0002-0000;)'
    result: { device: { type: television, manufacturer: Panasonic, series: 'Viera 2013' } }
    readable: 'a Panasonic Viera 2013'
-
    headers: 'User-Agent: HbbTV/1.2.1 (;Panasonic;VIERA 2013;3.720;4101-0003 0002-0000;)'
    result: { device: { type: television, manufacturer: Panasonic, series: 'Viera 2013' } }
    readable: 'a Panasonic Viera 2013'
-
    headers: 'User-Agent: HbbTV/1.2.1 (;Panasonic;VIERA 2013;3.720;6101-0003 4000-0000;)'
    result: { device: { type: television, manufacturer: Panasonic, series: 'Viera 2013' } }
    readable: 'a Panasonic Viera 2013'
-
    headers: 'User-Agent: HbbTV/1.2.1 (;Panasonic;VIERA 2014;0.001;ba01-0003 4000-0000;)'
    result: { device: { type: television, manufacturer: Panasonic, series: 'Viera 2014' } }
    readable: 'a Panasonic Viera 2014'
-
    headers: 'User-Agent: HbbTV/1.2.1 (;Panasonic;VIERA 2014;0.001;ba01-0003 4000-0000;)'
    result: { device: { type: television, manufacturer: Panasonic, series: 'Viera 2014' } }
    readable: 'a Panasonic Viera 2014'
-
    headers: 'User-Agent: HbbTV/1.2.1 (;Panasonic;VIERA 2015;3.003;4401-0003 0002-0000;)'
    result: { device: { type: television, manufacturer: Panasonic, series: 'Viera 2015' } }
    readable: 'a Panasonic Viera 2015'
-
    headers: 'User-Agent: Hybridcast/1.0 (;008045;PANATV1308;2;2;)'
    result: { device: { type: television, manufacturer: Panasonic, series: 'Smart TV' } }
    readable: 'a Panasonic Smart TV'
-
    headers: 'User-Agent: Mozilla/4.0 (compatible; MSIE 6.0 compatible; Device Mosaic 5.2.1;OpenTV) InettvBrowser/2.3 (008045;V750;1.01;10000) TvpsExtInfo/A05001 (7A050002020100004D1B;23;FP)'
    result: { browser: { name: 'Device Mosaic', family: Mosaic, version: 5.2.1, type: browser }, os: { name: OpenTV }, device: { type: television, manufacturer: Panasonic, model: V750, series: 'Smart TV' } }
    readable: 'Device Mosaic 5.2.1 on a Panasonic V750 Smart TV running OpenTV'
-
    headers: 'User-Agent: Mozilla/4.0 (compatible; MSIE 6.0 compatible; Device Mosaic 5.2.2; OpenTV) InettvBrowser/2.3 (008045;PANATV0934;1.32;10000)'
    result: { browser: { name: 'Device Mosaic', family: Mosaic, version: 5.2.2, type: browser }, os: { name: OpenTV }, device: { type: television, manufacturer: Panasonic, series: 'Smart TV' } }
    readable: 'Device Mosaic 5.2.2 on a Panasonic Smart TV running OpenTV'
-
    headers: 'User-Agent: Mozilla/5.0 (FreeBSD; U; Panasonic; en-00) AppleWebKit/535.1 (KHTML, like Gecko) Viera DTV/2.225 (Panasonic, TH-L--E5M, ) Chrome/14.0.835.202 Safari/535.1'
    result: { browser: { family: { name: Chrome, version: 14 }, type: browser }, engine: { name: Webkit, version: '535.1' }, device: { type: television, manufacturer: Panasonic, series: Viera } }
    readable: 'a Panasonic Viera'
-
    headers: 'User-Agent: Mozilla/5.0 (FreeBSD; U; Viera; ja-JP) AppleWebKit/535.1 (KHTML, like Gecko) Viera/1.2.4 Chrome/14.0.835.202 Safari/535.1'
    result: { browser: { name: 'Viera Browser', family: { name: Chrome, version: 14 }, version: 1.2.4, type: browser }, engine: { name: Webkit, version: '535.1' }, device: { type: television, manufacturer: Panasonic, series: Viera } }
    readable: 'Viera Browser 1.2.4 on a Panasonic Viera'
-
    headers: 'User-Agent: Mozilla/5.0 (FreeBSD; U; Viera; like Android 4.0.2; xx; ja-jp) AppleWebKit/534.30 (KHTML, like Gecko) Viera/2.0.0 DIGAPlus/1.0.0 Mobile/534.30'
    result: { browser: { name: 'Viera Browser', version: 2.0.0, type: browser }, engine: { name: Webkit, version: '534.30' }, device: { type: television, manufacturer: Panasonic, series: Viera } }
    readable: 'Viera Browser 2.0.0 on a Panasonic Viera'
-
    headers: 'User-Agent: Mozilla/5.0 (FreeBSD; U; Viera; xx) AppleWebKit/535.1 (KHTML, like Gecko) Viera/1.5.2 Chrome/14.0.835.202 Safari/535.1/CE-HTML'
    result: { browser: { name: 'Viera Browser', family: { name: Chrome, version: 14 }, version: 1.5.2, type: browser }, engine: { name: Webkit, version: '535.1' }, device: { type: television, manufacturer: Panasonic, series: Viera } }
    readable: 'Viera Browser 1.5.2 on a Panasonic Viera'
-
    headers: 'User-Agent: Mozilla/5.0 (FreeBSD; U; Viera; xx) AppleWebKit/537.11 (KHTML, like Gecko) Viera/3.1.8 Chrome/23.0.1271.97 Safari/537.11'
    result: { browser: { name: 'Viera Browser', family: { name: Chrome, version: 23 }, version: 3.1.8, type: browser }, engine: { name: Webkit, version: '537.11' }, device: { type: television, manufacturer: Panasonic, series: Viera } }
    readable: 'Viera Browser 3.1.8 on a Panasonic Viera'
-
    headers: 'User-Agent: Mozilla/5.0 (FreeBSD; U; Viera; xx) AppleWebKit/537.11 (KHTML, like Gecko) Viera/3.10.0 Chrome/23.0.1271.97 Safari/537.11; Freetime/1.0 (freetime); (Panasonic, 2014, idtv, low, wired); (sLD8A, 15430);'
    result: { browser: { name: 'Viera Browser', family: { name: Chrome, version: 23 }, version: 3.10.0, type: browser }, engine: { name: Webkit, version: '537.11' }, device: { type: television, manufacturer: Panasonic, series: 'Viera 2014' } }
    readable: 'Viera Browser 3.10.0 on a Panasonic Viera 2014'
-
    headers: 'User-Agent: Mozilla/5.0 (FreeBSD; U; Viera; xx) AppleWebKit/537.11 (KHTML, like Gecko) Viera/3.10.3 Chrome/23.0.1271.97 Safari/537.11'
    result: { browser: { name: 'Viera Browser', family: { name: Chrome, version: 23 }, version: 3.10.3, type: browser }, engine: { name: Webkit, version: '537.11' }, device: { type: television, manufacturer: Panasonic, series: Viera } }
    readable: 'Viera Browser 3.10.3 on a Panasonic Viera'
-
    headers: 'User-Agent: Mozilla/5.0 (FreeBSD; U; Viera; xx) AppleWebKit/537.11 (KHTML, like Gecko) Viera/3.11.0 Chrome/23.0.1271.97 Safari/537.11'
    result: { browser: { name: 'Viera Browser', family: { name: Chrome, version: 23 }, version: 3.11.0, type: browser }, engine: { name: Webkit, version: '537.11' }, device: { type: television, manufacturer: Panasonic, series: Viera } }
    readable: 'Viera Browser 3.11.0 on a Panasonic Viera'
-
    headers: 'User-Agent: Mozilla/5.0 (FreeBSD; U; Viera; xx) AppleWebKit/537.11 (KHTML, like Gecko) Viera/3.2.0 Chrome/23.0.1271.97 Safari/537.11'
    result: { browser: { name: 'Viera Browser', family: { name: Chrome, version: 23 }, version: 3.2.0, type: browser }, engine: { name: Webkit, version: '537.11' }, device: { type: television, manufacturer: Panasonic, series: Viera } }
    readable: 'Viera Browser 3.2.0 on a Panasonic Viera'
-
    headers: 'User-Agent: Mozilla/5.0 (FreeBSD; U; Viera; xx) AppleWebKit/537.11 (KHTML, like Gecko) Viera/3.3.2 Chrome/23.0.1271.97 Safari/537.11'
    result: { browser: { name: 'Viera Browser', family: { name: Chrome, version: 23 }, version: 3.3.2, type: browser }, engine: { name: Webkit, version: '537.11' }, device: { type: television, manufacturer: Panasonic, series: Viera } }
    readable: 'Viera Browser 3.3.2 on a Panasonic Viera'
-
    headers: 'User-Agent: Mozilla/5.0 (FreeBSD; U; Viera; xx) AppleWebKit/537.11 (KHTML, like Gecko) Viera/3.5.0 Chrome/23.0.1271.97 Safari/537.11'
    result: { browser: { name: 'Viera Browser', family: { name: Chrome, version: 23 }, version: 3.5.0, type: browser }, engine: { name: Webkit, version: '537.11' }, device: { type: television, manufacturer: Panasonic, series: Viera } }
    readable: 'Viera Browser 3.5.0 on a Panasonic Viera'
-
    headers: 'User-Agent: Mozilla/5.0 (FreeBSD; U; Viera; xx) AppleWebKit/537.11 (KHTML, like Gecko) Viera/3.5.1 Chrome/23.0.1271.97 Safari/537.11'
    result: { browser: { name: 'Viera Browser', family: { name: Chrome, version: 23 }, version: 3.5.1, type: browser }, engine: { name: Webkit, version: '537.11' }, device: { type: television, manufacturer: Panasonic, series: Viera } }
    readable: 'Viera Browser 3.5.1 on a Panasonic Viera'
-
    headers: 'User-Agent: Mozilla/5.0 (FreeBSD; U; Viera; xx) AppleWebKit/537.11 (KHTML, like Gecko) Viera/3.5.2 Chrome/23.0.1271.97 Safari/537.11'
    result: { browser: { name: 'Viera Browser', family: { name: Chrome, version: 23 }, version: 3.5.2, type: browser }, engine: { name: Webkit, version: '537.11' }, device: { type: television, manufacturer: Panasonic, series: Viera } }
    readable: 'Viera Browser 3.5.2 on a Panasonic Viera'
-
    headers: 'User-Agent: Mozilla/5.0 (FreeBSD; U; Viera; xx) AppleWebKit/537.11 (KHTML, like Gecko) Viera/3.7.0 Chrome/23.0.1271.97 Safari/537.11'
    result: { browser: { name: 'Viera Browser', family: { name: Chrome, version: 23 }, version: 3.7.0, type: browser }, engine: { name: Webkit, version: '537.11' }, device: { type: television, manufacturer: Panasonic, series: Viera } }
    readable: 'Viera Browser 3.7.0 on a Panasonic Viera'
-
    headers: 'User-Agent: Mozilla/5.0 (FreeBSD; Viera; rv:34.0) Gecko/20100101 Firefox/34.0'
    result: { browser: { name: Firefox, version: '34.0', type: browser }, engine: { name: Gecko, version: '34.0' }, os: { name: 'Firefox OS', version: '2.1' }, device: { type: television, manufacturer: Panasonic, series: 'Viera 2015' } }
    readable: 'Firefox 34.0 on a Panasonic Viera 2015 running Firefox OS 2.1'
-
    headers: 'User-Agent: Mozilla/5.0 (X11; FreeBSD; U; Viera; xx) AppleWebKit/535.1 (KHTML, like Gecko) Viera/1.5.1 Chrome/14.0.835.202 Safari/535.1'
    result: { browser: { name: 'Viera Browser', family: { name: Chrome, version: 14 }, version: 1.5.1, type: browser }, engine: { name: Webkit, version: '535.1' }, device: { type: television, manufacturer: Panasonic, series: Viera } }
    readable: 'Viera Browser 1.5.1 on a Panasonic Viera'
-
    headers: 'User-Agent: Mozilla/5.0 (X11; FreeBSD; U; Viera; xx) AppleWebKit/537.11 (KHTML, like Gecko) Viera/3.1.8 Chrome/23.0.1271.97 Safari/537.11'
    result: { browser: { name: 'Viera Browser', family: { name: Chrome, version: 23 }, version: 3.1.8, type: browser }, engine: { name: Webkit, version: '537.11' }, device: { type: television, manufacturer: Panasonic, series: Viera } }
    readable: 'Viera Browser 3.1.8 on a Panasonic Viera'
-
    headers: 'User-Agent: Mozilla/5.0 (X11; FreeBSD; U; Viera; xx) AppleWebKit/537.11 (KHTML, like Gecko) Viera/3.10.0 Chrome/23.0.1271.97 Safari/537.11'
    result: { browser: { name: 'Viera Browser', family: { name: Chrome, version: 23 }, version: 3.10.0, type: browser }, engine: { name: Webkit, version: '537.11' }, device: { type: television, manufacturer: Panasonic, series: Viera } }
    readable: 'Viera Browser 3.10.0 on a Panasonic Viera'
-
    headers: 'User-Agent: Mozilla/5.0 (X11; FreeBSD; U; Viera; xx) AppleWebKit/537.11 (KHTML, like Gecko) Viera/3.10.9 Chrome/23.0.1271.97 Safari/537.11'
    result: { browser: { name: 'Viera Browser', family: { name: Chrome, version: 23 }, version: 3.10.9, type: browser }, engine: { name: Webkit, version: '537.11' }, device: { type: television, manufacturer: Panasonic, series: Viera } }
    readable: 'Viera Browser 3.10.9 on a Panasonic Viera'
-
    headers: 'User-Agent: Mozilla/5.0 (X11; FreeBSD; U; Viera; xx) AppleWebKit/537.11 (KHTML, like Gecko) Viera/3.3.2 Chrome/23.0.1271.97 Safari/537.11'
    result: { browser: { name: 'Viera Browser', family: { name: Chrome, version: 23 }, version: 3.3.2, type: browser }, engine: { name: Webkit, version: '537.11' }, device: { type: television, manufacturer: Panasonic, series: Viera } }
    readable: 'Viera Browser 3.3.2 on a Panasonic Viera'
-
    headers: 'User-Agent: Mozilla/5.0 (X11; FreeBSD; U; Viera; xx; ja-jp) AppleWebKit/534.30 (KHTML, like Gecko) Viera/2.0.0 DIGAPlus/1.0.0 Safari/534.30'
    result: { browser: { name: 'Viera Browser', version: 2.0.0, type: browser }, engine: { name: Webkit, version: '534.30' }, device: { type: television, manufacturer: Panasonic, series: Viera } }
    readable: 'Viera Browser 2.0.0 on a Panasonic Viera'
-
    headers: 'User-Agent: Mozilla/5.0 (X11; Linux; U; Diga; de-DE) AppleWebKit/537.11 (KHTML, like Gecko) Diga/3.7.0 Chrome/23.0.1271.97 Safari/537.11'
    result: { browser: { family: { name: Chrome, version: 23 }, type: browser }, engine: { name: Webkit, version: '537.11' }, device: { type: television, manufacturer: Panasonic, series: Diga } }
    readable: 'a Panasonic Diga'
-
    headers: 'User-Agent: Mozilla/5.0(compatible; U; InfiNet 0.1; Viera) AppleWebKit/420+ (KHTML, like Gecko)(avdn/Panasonic.tv.2011;avvp/ssl;avui/tv;avrt/html5;avkb/mcr,P:113,PU:114,S:115,SF:116,SB:117,ST:112;avst/on)'
    result: { engine: { name: Webkit, version: '420' }, device: { type: television, manufacturer: Panasonic, series: 'Viera 2011' } }
    readable: 'a Panasonic Viera 2011'
-
    headers: 'User-Agent: Mozilla/5.0(compatible; U; InfiNet 0.1; Viera) AppleWebKit/420+ (KHTML, like Gecko)(avdn/Panasonic.tv.2012)'
    result: { engine: { name: Webkit, version: '420' }, device: { type: television, manufacturer: Panasonic, series: 'Viera 2012' } }
    readable: 'a Panasonic Viera 2012'
-
    headers: 'User-Agent: HbbTV/1.3.1 (;Panasonic;Viera2015.mid;36.3605;4501-0003 0002-0000;) FVC/1.0 (Panasonic;Viera2015;) (avdn/Panasonic.tv.mid.2015)'
    result: { device: { type: television, manufacturer: Panasonic, series: 'Viera 2015' } }
    readable: 'a Panasonic Viera 2015'
-
    headers: 'User-Agent: HbbTV/1.2.1 (;Panasonic;VIERA 2016;3.232;5101-0003 0002-0000;)'
    readable: 'a Panasonic Viera 2016'
    result: { device: { type: television, manufacturer: Panasonic, series: 'Viera 2016' } }
-
    headers: 'User-Agent: HbbTV/1.2.1 (;Panasonic;VIERA 2017;3.142;2b01-0003 0002-0000;)'
    readable: 'a Panasonic Viera 2017'
    result: { device: { type: television, manufacturer: Panasonic, series: 'Viera 2017' } }
-
    headers: 'User-Agent: HbbTV/1.4.1 (;Panasonic;VIERA 2017;3.142;3501-0003 0002-0000;) PanasonicSDK/2017'
    readable: 'a Panasonic Viera 2017'
    result: { device: { type: television, manufacturer: Panasonic, series: 'Viera 2017' } }
-
    headers: 'User-Agent: HbbTV/1.4.1 (+DRM;Panasonic;SmartTV2018mid;0.002;2401-0003 0008-0000;SmartTV2018;)'
    readable: 'a Panasonic Viera 2018'
    result: { device: { type: television, manufacturer: Panasonic, series: 'Viera 2018' } }
-
    headers: 'User-Agent: HbbTV/1.1.1 (+PVR;Panasonic;DIGA WebKit M8158;3.300;;)'
    readable: 'a Panasonic Diga'
    result: { device: { type: television, manufacturer: Panasonic, series: Diga } }
-
    headers: 'User-Agent: Mozilla/5.0(compatible; U; InfiNet 0.1; Viera) AppleWebKit/420+ (KHTML, like Gecko)(avdn/Panasonic.tv.pro4.2013)'
    readable: 'a Panasonic Viera 2013'
    result: { engine: { name: Webkit, version: '420' }, device: { type: television, manufacturer: Panasonic, series: 'Viera 2013' } }
